
%define upstream_name	 File-RsyncP
%define upstream_version 0.68

Name:       perl-%{upstream_name}
Version:     %{upstream_version}
Release:    %mkrel 10

Summary:	Perl Rsync client
License:	GPL+ or Artistic
Group:		Development/Perl
URL:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.bz2

Buildrequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
File::RsyncP is a perl implementation of an Rsync client. It is compatible
with Rsync 2.5.5 (protocol version 26). It can send or receive files, either
by running rsync on the remote machine, or connecting to an rsyncd daemon on
the remote machine.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE='%{optflags}'
make

%install
rm -rf %{buildroot}
%makeinstall_std




%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/*
%exclude %{_mandir}/*/*


%changelog
* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update

